function::set_user_string_arg
Prev | Chapter 26. String and data writing functions Tapset | Next

## Name

function::set_user_string_arg — Writes a string to user memory.

## Synopsis

        set_user_string_arg(addr:long,val:string)

## Arguments

`addr`

  The user address to write the string to

`val`

  The string which is to be written

## Description

Writes the given string to a given user memory address. Reports a warning on string copy fault. Requires the use of guru mode (-g).

Prev | Up | Next
function::set_user_string | Home | function::set_user_string_n